import * as types from "./actionTypes";
import initialState from "../../redux/reducers/initialState";

export default function systemReducer(state = initialState.system, action) {
  switch (action.type) {
    case types.LOAD_SYSTEM_DATA_SUCCESS:
      return {
        ...state,
        data: { ...action.payload, loading: false, loaded: true }
      };

    case types.LOAD_SYSTEM_VERSION_SUCCESS:
      return {
        ...state,
        version: { ...action.payload, loading: false, loaded: true }
      };

    default:
      return state;
  }
}
